{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-cnpg-status
  namespace: {{ .Release.Namespace }}
spec:
  ingress:
    - fromEntities:
      - remote-node
      toPorts:
      - ports:
        - port: "8000"
          protocol: TCP
  endpointSelector: { }
{{- end }}
